いろいろやってみるにっき

てきとーに生きている奴の日記

https化に伴い、表示できなくなっているリンクについて修復中。
2018年から遡って修正し、2015年分まで修正完了。


WSLにUbuntu 22.04が出てたのでインストールしてみた

そろそろ出ているかなと思ってWindows Storeを見てみたらWSLのUbuntu 22.04が出てた。

 

[入手]をクリック。645.9MBはでかいな。

 

ダウンロードが終わりインストールになると、なんといきなりGUIのインストール画面が。でもターミナルの中に表示しているようだ。色々横スクロールしていく。

[OK]をクリック。

 

言語の設定画面。探したけど日本語が無い。

 

Englishを選ぶとProfile設定画面。

 

[Done]でこの画面。

 

時間が掛かって[Reboot Now]が出る。

 

使えるようになった。

 

apt updateとapt upgradeを実行。

shigeo-t@EAGLEII:~$ sudo apt update -y
[sudo] password for shigeo-t:
Hit:1 http://archive.ubuntu.com/ubuntu jammy InRelease
Hit:2 http://archive.ubuntu.com/ubuntu jammy-updates InRelease
Hit:3 http://security.ubuntu.com/ubuntu jammy-security InRelease
Hit:4 http://archive.ubuntu.com/ubuntu jammy-backports InRelease
Get:5 http://archive.ubuntu.com/ubuntu jammy/restricted Translation-he [300 B]
Get:6 http://archive.ubuntu.com/ubuntu jammy/universe Translation-he [1,120 B]
Get:7 http://archive.ubuntu.com/ubuntu jammy/multiverse Translation-he [596 B]
Fetched 2,016 B in 1s (1,443 B/s)
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
24 packages can be upgraded. Run 'apt list --upgradable' to see them.
shigeo-t@EAGLEII:~$ sudo apt upgrade -y
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
Calculating upgrade... Done
The following package was automatically installed and is no longer required:
  libfreetype6
Use 'sudo apt autoremove' to remove it.
The following packages will be upgraded:
(中略)
Setting up python3-twisted (22.1.0-2ubuntu2.1) ...
Setting up libfribidi0:amd64 (1.0.8-2ubuntu3.1) ...
Setting up systemd-timesyncd (249.11-0ubuntu3.1) ...
Setting up udev (249.11-0ubuntu3.1) ...
invoke-rc.d: could not determine current runlevel
Setting up libcurl4:amd64 (7.81.0-1ubuntu1.1) ...
Setting up git-man (1:2.34.1-1ubuntu1.2) ...
Setting up curl (7.81.0-1ubuntu1.1) ...
Setting up ubuntu-advantage-tools (27.8~22.04.1) ...
Installing new version of config file /etc/ubuntu-advantage/help_data.yaml ...
Setting up openssl (3.0.2-0ubuntu1.1) ...
Setting up snapd (2.55.3+22.04ubuntu1) ...
Setting up systemd-sysv (249.11-0ubuntu3.1) ...
Setting up libnss-systemd:amd64 (249.11-0ubuntu3.1) ...
Setting up git (1:2.34.1-1ubuntu1.2) ...
Setting up libpam-systemd:amd64 (249.11-0ubuntu3.1) ...
Processing triggers for initramfs-tools (0.140ubuntu13) ...
Processing triggers for libc-bin (2.35-0ubuntu3) ...
Processing triggers for man-db (2.10.2-1) ...
Processing triggers for plymouth-theme-ubuntu-text (0.9.5+git20211018-1ubuntu3) ...
update-initramfs: deferring update (trigger activated)
Processing triggers for dbus (1.12.20-2ubuntu4) ...
Processing triggers for install-info (6.8-4build1) ...
Processing triggers for initramfs-tools (0.140ubuntu13) ...
Scanning processes...
Scanning processor microcode...
Scanning linux images...

Failed to retrieve available kernel versions.

Failed to check for processor microcode upgrades.

No services need to be restarted.

No containers need to be restarted.

User sessions running outdated binaries:
 root @ /dev/pts/1: apt[326,1442]

No VM guests are running outdated hypervisor (qemu) binaries on this host.
shigeo-t@EAGLEII:~$


Windows Terminalにも追加されていた。起動してみるとGUIでインストールしたみたいな色で立ち上がる。

 

日本語化とかはまた別途。